Hi there,could someone tell me what is wrong when I build lineageos?
Code:
[100% 1/1] build bacon
FAILED: bacon
/ bin / bash -c "(ln -f /root/Lineageos/out/target/product/a400cg/lineage-.zip) && (md5sum /root/Lineageos/out/target/product/a400cg/lineage-.zip | sed \ "s \ / root / Lineageos / out / target / product / a400cg / || \"> /root/Lineageos/out/target/product/a400cg/lineage-.zip.md5sum) && (echo \ "Package Complete : /root/Lineageos/out/target/product/a400cg/lineage-.zip \ "> & 2)"
ln: could not access '/root/Lineageos/out/target/product/a400cg/lineage-.zip': No such file or directory exists
ninja: build stopped: subcommand failed.
11:28:28 ninja failed with: exit status 1
bacon refers to one plus 3..device or so...I hope you are building for a one plus 3 device, otherwise you have to change bacon to your device specific call name.
Did you find a solution? I have the same error when attempting to build for Lilac.
Thanks!
Related
I was wondering if someone in the Samsung Tab S developers could help me out on this error I am having. I recieve this everytime I start the ./build.sh
Not sure what I'm doing wrong. Not sure if I have something in the ./build.sh that needs to be corrected. I'm a noob at all this developing and trying to learn as much as I can when I can. (("So take it easy on me "))
I'm running BBQLinux as my build environment OS
#### make failed to build some targets (07:46 (mm:ss)) ####
grep: out/target/product/chagallwifi/system/build.prop: No such file or directory
mv: cannot stat 'out/target/product/chagallwifi/aosp_chagallwifi-ota-eng.ubuntu.zip': No such file or directory
md5sum: out/target/product/chagallwifi/aosp-.zip: No such file or directory
./build.sh 1187.08s user 117.71s system 276% cpu 7:51.76 total
Copy of the ./build.sh
#!/bin/bash
DEBUG="debug"
#DEBUG=""
GCC_PATH=`pwd`/prebuilts/gcc/linux-x86/arm/arm-eabi-4.8/bin
export PATH=$GCC_PATH:$PATH
export USE_CCACHE=1
export CCACHE_DIR=`pwd`/.ccache
prebuilts/misc/linux-x86/ccache/ccache -M 120G
if [ "x$1" == "x" ]; then
products="chagallwifi"
else
products=$1
fi
if [ "x$2" == "xnoclean" ]; then
noclean=1
else
noclean=0
fi
# Fix build dependency
mkdir -p prebuilts/qemu-kernel/arm
touch prebuilts/qemu-kernel/arm/LINUX_KERNEL_COPYING
source build/envsetup.sh
if [ "x$noclean" == "x0" ]; then
make clean
fi
for product in $products
do
echo "lunch aosp_${product}-user$DEBUG"
lunch aosp_${product}-user$DEBUG
make -j 16 otapackage 2>&1 | tee build.log
ROM_ORG="aosp_${product}-ota-eng.ubuntu.zip"
ROM="aosp-`grep "ro.build.version.incremental" out/target/product/${product}/system/build.prop | sed "s/ro.build.version.incremental=//g"`.zip"
mv out/target/product/${product}/${ROM_ORG} out/target/product/${product}/${ROM}
md5sum out/target/product/${product}/${ROM} > out/target/product/${product}/${ROM}.md5sum
done
I was able to fix the problem I was having.
Thanks,
Falcon204
I'm trying to build Lineage 14.1 for serranoltexx (for 5 days now).
When I started the compilation using "breakfast serranoltexx" an error appears after the 7 percent mark (~2minutes).
I followed this guide: wiki.lineageos. org/devices/serranoltexx/build
with a fresh Ubuntu 17.04 VM Box installation two times but that error always appears.
The only thing I still could mention is that pulled the proprietary blobs using my phone as stated in the instructions not with the stock Rom but Lineage 14.1 already installed.
Full console output:
(error at line #321) pastebin. com/vC06fV36
Error:
Code:
make: Leaving directory '/home/mrglue/android/lineage/kernel/samsung/msm8930-common'
[ 7% 2535/34256] Building Kernel
FAILED: /bin/bash -c "(make -j4 CFLAGS_MODULE=\"-fno-pic\" -C kernel/samsung/msm8930-common O=/home/mrglue/android/lineage/out/target/product/serranoltexx/obj/KERNEL_OBJ ARCH=arm CROSS_COMPILE=\"/home/mrglue/android/lineage/prebuilts/misc/linux-x86/ccache/ccache arm-linux-androidkernel-\" zImage ) && (if grep -q 'CONFIG_OF=y' /home/mrglue/android/lineage/out/target/product/serranoltexx/obj/KERNEL_OBJ/.config ; then echo \"Building DTBs\" ; make -j4 CFLAGS_MODULE=\"-fno-pic\" -C kernel/samsung/msm8930-common O=/home/mrglue/android/lineage/out/target/product/serranoltexx/obj/KERNEL_OBJ ARCH=arm CROSS_COMPILE=\"/home/mrglue/android/lineage/prebuilts/misc/linux-x86/ccache/ccache arm-linux-androidkernel-\" dtbs ; else echo \"DTBs not enabled\" ; fi ) && (if grep -q 'CONFIG_MODULES=y' /home/mrglue/android/lineage/out/target/product/serranoltexx/obj/KERNEL_OBJ/.config ; then echo \"Building Kernel Modules\" ; make -j4 CFLAGS_MODULE=\"-fno-pic\" -C kernel/samsung/msm8930-common O=/home/mrglue/android/lineage/out/target/product/serranoltexx/obj/KERNEL_OBJ ARCH=arm CROSS_COMPILE=\"/home/mrglue/android/lineage/prebuilts/misc/linux-x86/ccache/ccache arm-linux-androidkernel-\" modules && make -j4 CFLAGS_MODULE=\"-fno-pic\" -C kernel/samsung/msm8930-common O=/home/mrglue/android/lineage/out/target/product/serranoltexx/obj/KERNEL_OBJ INSTALL_MOD_PATH=../../system ARCH=arm CROSS_COMPILE=\"/home/mrglue/android/lineage/prebuilts/misc/linux-x86/ccache/ccache arm-linux-androidkernel-\" modules_install && mdpath=\`find /home/mrglue/android/lineage/out/target/product/serranoltexx/system/lib/modules -type f -name modules.order\`; if [ \"\$mdpath\" != \"\" ];then mpath=\`dirname \$mdpath\`; ko=\`find \$mpath/kernel -type f -name *.ko\`; for i in \$ko; do arm-linux-androidkernel-strip --strip-unneeded \$i; mv \$i /home/mrglue/android/lineage/out/target/product/serranoltexx/system/lib/modules/; done; fi && mdpath=\`find /home/mrglue/android/lineage/out/target/product/serranoltexx/system/lib/modules -type f -name modules.order\`; if [ \"\$mdpath\" != \"\" ];then mpath=\`dirname \$mdpath\`; rm -rf \$mpath; fi ; else echo \"Kernel Modules not enabled\" ; fi )"
Hi all,
Can anyone help me out with info on how to solve this?
Code:
[ 84% 103/122] ----- Making uncompressed recovery ramdisk ------
cp: cannot stat '/android-dev/android/lineage/out/target/product/cepheus/root/init.recovery.*.rc': No such file or directory
[ 85% 104/122] ----- Making compressed recovery ramdisk ------
[ 86% 105/122] ----- Making recovery image ------
[ 86% 106/122] Target build info: /android-dev/android/lineage/out/target/product/cepheus/system/build.prop
[ 87% 107/122] build /android-dev/android/lineage/out/target/product/cepheus/obj/NOTICE.xml
[ 88% 108/122] build /android-dev/android/lineage/out/target/product/cepheus/obj/NOTICE.xml.gz
[ 89% 109/122] build /android-dev/android/lineage/out/target/product/cepheus/system/etc/NOTICE.xml.gz
[ 90% 110/122] build /android-dev/android/lineage/out/target/product/cepheus/obj/NOTICE_VENDOR.xml
[ 90% 111/122] build /android-dev/android/lineage/out/target/product/cepheus/obj/NOTICE_VENDOR.xml.gz
[ 91% 112/122] build /android-dev/android/lineage/out/target/product/cepheus/vendor/etc/NOTICE.xml.gz
[ 92% 113/122] Installed file list: /android-dev/android/lineage/out/target/product/cepheus/installed-files-vendor.txt
[ 93% 114/122] Installed file list: /android-dev/android/lineage/out/target/product/cepheus/installed-files.txt
[ 94% 115/122] Target system fs image: /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system.img
FAILED: /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system.img
/bin/bash -c "(if [ -d /android-dev/android/lineage/out/target/product/cepheus/system/vendor ] && [ ! -h /android-dev/android/lineage/out/target/product/cepheus/system/vendor ]; then echo 'Non-symlink /android-dev/android/lineage/out/target/product/cepheus/system/vendor detected!' 1>&2; echo 'You cannot install files to /android-dev/android/lineage/out/target/product/cepheus/system/vendor while building a separate vendor.img!' 1>&2; exit 1; fi ) && (ln -sf /vendor /android-dev/android/lineage/out/target/product/cepheus/system/vendor ) && (mkdir -p /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/ /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates && rm -rf /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"ext_mkuserimg=mkuserimg_mke2fs.sh\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"fs_type=ext4\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"system_size=3758096384\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"extfs_sparse_flag=-s\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"squashfs_sparse_flag=-s\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"selinux_fc=/android-dev/android/lineage/out/target/product/cepheus/obj/ETC/file_contexts.bin_intermediates/file_contexts.bin\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"avb_avbtool=avbtool\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"avb_system_hashtree_enable=true\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"avb_system_add_hashtree_footer_args=--setup_as_rootfs_from_kernel\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"avb_vendor_hashtree_enable=true\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"avb_vendor_add_hashtree_footer_args=\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"avb_product_hashtree_enable=true\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"avb_product_add_hashtree_footer_args=\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"system_root_image=true\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"root_dir=/android-dev/android/lineage/out/target/product/cepheus/root\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (echo \"skip_fsck=true\" >> /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt ) && (PATH=/android-dev/android/lineage/out/host/linux-x86/bin/:\$PATH build/make/tools/releasetools/build_image.py /android-dev/android/lineage/out/target/product/cepheus/system /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system_image_info.txt /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/system.img /android-dev/android/lineage/out/target/product/cepheus/system /android-dev/android/lineage/out/target/product/cepheus/obj/PACKAGING/systemimage_intermediates/generated_system_image_info.txt || ( mkdir -p /android-dev/android/lineage/out/dist; cp /android-dev/android/lineage/out/target/product/cepheus/installed-files.txt /android-dev/android/lineage/out/dist/installed-files-rescued.txt; exit 1 ) )"
Non-symlink /android-dev/android/lineage/out/target/product/cepheus/system/vendor detected!
You cannot install files to /android-dev/android/lineage/out/target/product/cepheus/system/vendor while building a separate vendor.img!
[ 95% 116/122] Target vendor fs image: /android-dev/android/lineage/out/target/product/cepheus/vendor.img
[ 95% 117/122] Construct recovery from boot
ninja: build stopped: subcommand failed.
14:51:04 ninja failed with: exit status 1
Thanks in advance
MWPau said:
Hi all, Can anyone help me out with info on how to solve this?.........
Click to expand...
Click to collapse
If this is regarding an issue building a LineageOS Firmware ROM, there's a bunch of Guides, Tutorials, etc... regarding this topic on the Forum.
The following are just 2 examples of them that looks pretty active too.
https://forum.xda-developers.com/showthread.php?t=3551484
https://forum.xda-developers.com/showthread.php?t=2814763
Good Luck!
~~~~~~~~~~~~~~~
Unless asked to do so, PLEASE don't PM me regarding support. Sent using The ClaRetoX Forum App on my Apple Macintosh.
Hi, I'm wanting to compile the mi-a3 kernel to use with GrapheneOs(as it needs to be compiled before the rom compilation).
I'm trying to compile it with this script:
Code:
#!/bin/bash
set -o errexit -o pipefail
[[ $# -eq 1 ]] || exit 1
DEVICE=$1
if [[ $DEVICE != laurel_sprout && $DEVICE != blueline && $DEVICE != crosshatch && $DEVICE != bonito ]]; then
echo invalid device codename
exit 1
fi
ROOT_DIR=$(realpath ../../..)
export KBUILD_BUILD_VERSION=1
export KBUILD_BUILD_USER=grapheneos
export KBUILD_BUILD_HOST=grapheneos
export KBUILD_BUILD_TIMESTAMP="$(date -d "@$(git --no-pager show -s --format=%ct)")"
PATH="$ROOT_DIR/prebuilts/build-tools/linux-x86/bin:$PATH"
PATH="$ROOT_DIR/prebuilts/build-tools/path/linux-x86:$PATH"
PATH="$ROOT_DIR/prebuilts/gcc/linux-x86/aarch64/aarch64-linux-android-4.9/bin:$PATH"
PATH="$ROOT_DIR/prebuilts/gcc/linux-x86/arm/arm-linux-androideabi-4.9/bin:$PATH"
PATH="$ROOT_DIR/prebuilts/clang/host/linux-x86/clang-r383902/bin:$PATH"
PATH="$ROOT_DIR/prebuilts/misc/linux-x86/lz4:$PATH"
PATH="$ROOT_DIR/prebuilts/misc/linux-x86/dtc:$PATH"
PATH="$ROOT_DIR/prebuilts/misc/linux-x86/libufdt:$PATH"
export LD_LIBRARY_PATH="$ROOT_DIR/prebuilts/clang/host/linux-x86/clang-r383902/lib64:$LD_LIBRARY_PATH"
chrt -bp 0 $$
make \
O=out \
ARCH=arm64 \
CC=clang \
HOSTCC=clang \
HOSTCXX=clang++ \
CLANG_TRIPLE=aarch64-linux-gnu- \
CROSS_COMPILE=aarch64-linux-android- \
CROSS_COMPILE_ARM32=arm-linux-androideabi- \
vendor/laurel_sprout-perf_defconfig
make -j$(nproc) \
O=out \
ARCH=arm64 \
CC=clang \
HOSTCC=clang \
HOSTCXX=clang++ \
CLANG_TRIPLE=aarch64-linux-gnu- \
CROSS_COMPILE=aarch64-linux-android- \
CROSS_COMPILE_ARM32=arm-linux-androideabi-
mkdir -p "$ROOT_DIR/device/xiaomi/$DEVICE-kernel"
cp out/arch/arm64/boot/{dtbo.img,Image.lz4} "$ROOT_DIR/device/xiaomi/$DEVICE-kernel"
which I modified from the one at kernel/google/crosshatch/build.sh on the grapheneOs android 10 repo.
But when I run the script I get an make error, this is the last few lines from the script when it throws the error out:
Code:
../drivers/usb/phy/phy-msm-qusb.c:1086:4: warning: misleading indentation; statement is not part of the previous 'if' [-Wmisleading-indentation]
dev_err(dev, "couldn't get iface_clk(%d)\n", ret);
^
../drivers/usb/phy/phy-msm-qusb.c:1084:3: note: previous statement is here
if (ret == -EPROBE_DEFER)
^
CC drivers/usb/storage/transport.o
1 warning generated.
CC drivers/usb/storage/usb.o
CC drivers/usb/storage/initializers.o
AR drivers/usb/phy/built-in.o
CC drivers/usb/storage/sierra_ms.o
CC drivers/usb/storage/option_ms.o
CC drivers/usb/storage/usual-tables.o
AR drivers/usb/storage/usb-storage.o
AR drivers/usb/storage/built-in.o
AR drivers/usb/built-in.o
AR drivers/built-in.o
make[1]: Saindo do diretório '/run/media/cota/47053fcc-4636-4d26-8e40-bb11fa4e2e05/Android/grapheneos-RP1A.201105.002.2020.11.03.03/kernel/xiaomi/laurel_sprout/out'
make: *** [Makefile:146: sub-make] Erro 2
I think the problem with this is the defconfig I used, which was located at arch/arm64/configs/vendor/laurel_sprout-perf_defconfig as I don't know which one I should use but can anyone help me into compiling the kernel?
kernel link
thanks.
Hello guys,
I'm building 17.1 for crownlte and I get the following error. Any ideas?
Bash:
[ 77% 81321/104960] build out/target/product/crownlte/obj/ETC/sepolicy_tests_intermediates/sepolicy_tests
FAILED: out/target/product/crownlte/obj/ETC/sepolicy_tests_intermediates/sepolicy_tests
/bin/bash -c "(out/host/linux-x86/bin/sepolicy_tests -l out/host/linux-x86/lib64/libsepolwrap.so -f out/target
/product/crownlte/obj/ETC/plat_file_contexts_intermediates/plat_file_contexts -f out/target/product/crownlte/obj/ETC/vendor_f
ile_contexts_intermediates/vendor_file_contexts -p out/target/product/crownlte/obj/ETC/sepolicy_intermediates/sepolicy ) && (
touch out/target/product/crownlte/obj/ETC/sepolicy_tests_intermediates/sepolicy_tests )"
The following types on /system/ must be associated with the "system_file_type" attribute: hal_lineage_fastcharge_default_exec
14:22:48 ninja failed with: exit status 1
Working with SELinux on Android
Understanding the basics of SELinux
lineageos.org